Subject: Fw: lcc-win32 vs. mingw32/gnuwin32
From: [email-masked] (Joshua Little)

18 Jan 1998 11:32:21 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: <[email-masked]>

-----Original Message-----
From: Colin Peters <[email-masked]>
To: Joshua J Little <[email-masked]>
Date: Thursday, December 11, 1997 4:57 PM
Subject: Re: lcc-win32 vs. mingw32/gnuwin32

>From: Joshua J Little <[email-masked]>
>Date: Friday, December 12, 1997 9:29 AM
>
>
>>Does anyone out there have any experience with the c compiler lcc for
>>compiling vanilla win32 C code?  It seems to make much smaller
>>executables, compiles a lot faster, and, at least for the examples in
>>Petzold's "Programming Windows 95," it compiles the code pretty much
>right
>>out-of-the-box, unlike mingw32 or gnuwin32.  Are there any disadvantages
>>to it that anyone knows of?  Any advice anyone can offer?
>
>
>I'm biased of course, and I only used it a little. :-)
>
>Basically the only major disadvantage that I can see is it doesn't do C++.
>I'm spoiled and I can't write code in C anymore without complaining...
>
>I also think there is no debugger (yet)... but there might be one soon.
>I'm also not sure of the status of making DLLs or even static libraries
>with the compiler. Still, it is, as you say, fast, small, and very
>compatible with MS code. It also has a resource editor and compiler built
>in, which is a big lack for mingw32/gnuwin32 at this time. I think it is a
>matter of personal preference, and what you are trying to do, as both
>packages are incomplete right now.
>
>Colin.
>
>-- Colin Peters -- colin at fu.is.saga-u.ac.jp
>-- Saga University Dept. of Information Science
>-- http://www.fu.is.saga-u.ac.jp/~colin
>-- http://www.geocities.com/Tokyo/Towers/6162
>
>
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".